 /*
 * Connections          - Arduino Nano/Micro with Atmega 328P
 * ----------------------------------------------------------
 * 
 * Receiver
 * Ext - (brown)        - GND
 * Ext + (red)          - Vin/RAW
 * Ext Sig (orange)     - TX - resistor 4.7kOhm - RX (resistor is only needed when using a jeti box)
 * 
 * Voltage divider battery
 * battery - (black)    - GND
 * battery + (red)      - resistor 510kOhm - A0 - resistor 51kOhm - GND (voltage divider max 55V -> 5V, max 12s Lipo)
 */

#define VOLTAGE_PIN A0
#define VOLTAGE_SCALE 0.05376 // 55V / 1023
#define SMOOTHING 0.1 //

#include "JetiExProtocol.h"

JetiExProtocol jetiEx;

float voltage; // V


JETISENSOR_CONST sensors[] PROGMEM = {
  //id  name              unit      data type               precision 0->0, 1->0.0, 2->0.00
  { 1,  "Voltage",        "V",      JetiSensor::TYPE_14b,   2},
  0 // end of array
};

void setup() {
  jetiEx.Start("Voltage Sensor", sensors);
}

void loop() {
  voltage = SMOOTHING * VOLTAGE_SCALE * analogRead(VOLTAGE_PIN) + (1 - SMOOTHING) * voltage; // V
  jetiEx.SetSensorValue(1, voltage * 100);
  jetiEx.DoJetiSend();
}
